Unable to run UIFlow or M5Burner on Raspberry Pi 4



  • Has anyone managed to get these programs running on a Raspberry Pi?

    I got an M5Stack Fire yesterday from Conrad, here in Germany, and have had no end of trouble trying to get the official software to run.

    I got the Linux downloads running on my desktop machine (Ubuntu 19.4) but my Raspi just refused to open them. I'm running a regularly updated Raspbian Buster. I also had no result when trying to install these programs on a Win10 machine.

    Has anyone had better luck with this? I'm happy that my Linux desktop got me up and running.


  • M5Stack

    Neither UiFlow Desktop or M5Burner have been tested to work on a Raspberry Pi. Our development team doesn't have the resources to test and optimize for so many platforms.
    If you have to use Raspberry Pi, I've found the browser version works fine on it, and esptool could be used for flashing the firmware. If you want to work in micropython, thonny is a great IDE, and once your done writing your scripts you should be able to transfer them to your M5Stack with ampy or rshell



  • @scotus

    How did you get M5Burner running on the linux desktop? (I’m running Ubuntu 18.04.)

    The readme says “Exec /M5Burner in this directory.”

    M5Burner does not seam to be executable file nor can I find a suitable one in the package.

    I found an instruction file but the Linux section kept referring to OSX software.

    https://github.com/m5stack/m5-docs/blob/master/docs/en/related_documents/how_to_burn_firmware.md

    What did you do to get it installed?

    Thanks,
    Randy



  • The Linux version does NOT work on a raspberry pi as the Linux version, windows and OS X version are compiled for X86 processors. Raspberry pis use arm processors which are a different architecture.



  • @jydog On my Ubuntu Linux desktop, the Linux version of M5Burner and UIFlow Desktop just worked out of the box. Full marks to the team at m5stack!

    I unpacked the zips to convenient folders, then opened the relevant folder in a terminal window (right-click and select "open in terminal"). For M5Burner, while in the unzipped M5Burner program directory, I typed "./M5Burner" on the command line (in the the readme: "Exec "./M5Burner" in this directory"). The shell script then opened "m5burner" in the /bin directory.

    An update yesterday using the built-in updater worked without a problem.

    I was not expecting miracles when trying the same on the Raspberry Pi 4, but I think that I was hoping that maybe someone out there had got further than I did. The Raspbian system (newest Buster version) complained about not being able to execute a binary file ... Oh well, there"s the good old Arduino IDE.

    Thank you Jimmy Lai and all the team!
    Greetings from Berlin, Germany

    Francis Sim



  • That's got it, thanks. Wasn't getting into right folder.



  • @jydog Glad that you got it running.

    @lukasmaximus Regarding your comments about the Raspberry Pi - regarding the rate that the new model 4 Raspberry Pi's are selling, any platform like M5Stack that ignores Raspbian is taking chances of being irrelevant to a large new user base!

    How come you are all so Mac/Win-centric? The local Apple specialist here in my district in Berlin last year morphed into a 1 Euro shop, and now does more business! My Raspberry Pi reseller here in Berlin tells me that within less than an hour of a new shipment of Pi 4's coming in, they're all gone.

    When M5Stack claims to be open source, where's your source code so that folks can build for ARM systems? The M5Stack software seems to me to be 64-bit, although there's no warning on the tin about this. As I understand, the Raspi is not quite into the 64-bit system Linux club, but it's heading in that direction.

    Yes, I can use the Arduino IDE, but then, what's the point of using M5Stack rather than my existing ESP32 development board from NodeMCU which costs only 8.50 Euros, while a M5Stack Fire just cost me over 64 Euros here in Berlin from M5Stack's German partner Conrad?

    I'm sorry, but I don't see any sense in your arguments - the esp toolchain is for me confusing and overcomplicated. I can use Arduino IDE on a NodeMCU board without needing M5Stack.